#!/bin/bash
# This script is generated by Labtasker from original.sh

export CUDA_HOME=/usr/local/cuda-12.1

BASE_LOG_DIR=/path/to/logs

DATASETS=("imagenet" "cifar10" "mnist" "custom_dataset")
MODELS=("resnet50" "vit" "transformer" "alexnet")

labtasker loop --executable /bin/bash <<'LABTASKER_LOOP_EOF'
CUDA_HOME='%(CUDA_HOME)'
DATASET='%(DATASET)'
LOG_DIR='%(LOG_DIR)'
MODEL='%(MODEL)'
    echo "Processing Dataset: $(echo "$DATASET" | tr '[:lower:]' '[:upper:]')"  # Uppercase the dataset name
    echo "Model (short): ${MODEL:0:3}"        # First three letters of model name
    echo "Log Directory: ${LOG_DIR}"

    # Execute training command
    python train.py --dataset "$DATASET" \
                    --model "$MODEL" \
                    --cuda-home "$CUDA_HOME" \
                    --log-dir "$LOG_DIR"
LABTASKER_LOOP_EOF

echo "All tasks completed successfully."